> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Pipeline Async

- Product: Reducto API
- Section: Pipeline
- Snapshot: Current
- Method: `POST`
- Path: `/pipeline_async`
- Availability: deprecated

## Request body

Required: yes  
Content types: `application/json`  

### `async`

Type: `config__v3__AsyncConfig`  
Required: no  

The configuration options for asynchronous processing (default synchronous).

#### `metadata`

Type: `unknown`  
Required: no  

JSON metadata included in webhook request body. Defaults to None.

#### `priority`

Type: `boolean`  
Required: no  
Default: `false`  

Workers poll the priority queue ahead of the standard queue, so priority jobs start sooner when there is queued work; sync jobs are prioritized above async jobs by default.

#### `webhook`

Type: `SvixWebhookConfig | DirectWebhookConfig`  
Required: no  

The webhook configuration for the asynchronous processing.

##### SvixWebhookConfig

Type: `SvixWebhookConfig`  

###### `mode`

Type: `string`  
Required: no  
Default: `svix`  

###### `channels`

Type: `string[]`  
Required: no  

A list of Svix channels the message will be delivered down, omit to send to all channels.

###### string

Type: `string`  

##### DirectWebhookConfig

Type: `DirectWebhookConfig`  

###### `mode`

Type: `string`  
Required: no  
Default: `direct`  

###### `url`

Type: `string`  
Required: yes  

##### unknown

Type: `unknown`  

### `input`

Type: `string | string[] | UploadResponse`  
Required: yes  

For parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following:
            1. A publicly available URL
            2. A presigned S3 URL
            3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document
            4. A jobid:// prefixed URL obtained from a previous /parse invocation
            5. A list of URLs (for multi-document pipelines, V3 API only)

            For edit pipelines, this should be a string containing the edit instructions

#### string

Type: `string`  

#### string[]

Type: `string[]`  

##### string

Type: `string`  

#### UploadResponse

Type: `UploadResponse`  

##### `file_id`

Type: `string`  
Required: yes  

##### `presigned_url`

Type: `string`  
Required: no  

###### string

Type: `string`  

###### unknown

Type: `unknown`  

### `pipeline_id`

Type: `string`  
Required: yes  

The ID of the pipeline to use for the document.

### `settings`

Type: `PipelineSettings`  
Required: no  

Settings for pipeline execution that override pipeline defaults.

#### `document_password`

Type: `string`  
Required: no  

Password to decrypt password-protected documents.

##### string

Type: `string`  

##### unknown

Type: `unknown`  

## Execute with cURL

```bash
curl -X POST "https://platform.reducto.ai/pipeline_async" \
  -H "Authorization: Bearer $REDUCTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"input":"<value>","pipeline_id":"<pipeline_id>"}'
```

## Responses

### Response `200`

Category: success  

Successful Response

#### `application/json`

##### Generated example

```json
{
  "job_id": "job_id"
}
```

##### Schema

###### AsyncPipelineResponse

Type: `AsyncPipelineResponse`  

###### `job_id`

Type: `string`  
Required: yes  

### Response `422`

Category: client-error  

Validation Error

#### `application/json`

##### Generated example

```json
{
  "detail": [
    {
      "loc": [
        "loc"
      ],
      "msg": "msg",
      "type": "type",
      "ctx": {}
    }
  ]
}
```

##### Schema

###### HTTPValidationError

Type: `HTTPValidationError`  

###### `detail`

Type: `ValidationError[]`  
Required: no  

###### ValidationError

Type: `ValidationError`  

###### `loc`

Type: `string | number[]`  
Required: yes  

###### string | number

Type: `string | number`  

###### string

Type: `string`  

###### number

Type: `number`  

###### `msg`

Type: `string`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `input`

Type: `unknown`  
Required: no  

###### `ctx`

Type: `object`  
Required: no  

## Related representations

- [Human documentation](/api-reference/api/sections/pipeline/operations/pipeline-async/)
- [cURL Markdown](https://docs.reducto.ai/api-reference/api/curl/sections/pipeline/operations/pipeline-async.md)
